- entityDefinitions:
  - IDM_Method__is__AA: '{3101a6f0-fe18-4bea-addc-2785834da4d2}'
  - IDMB_Method__is__AA: '{9a29f5b3-4867-436e-9f85-7a644b94920e}'

- library: '&IDL_MochaBaseSystem;'
  instances:
  - evaluateBooleanExpressionMethod: '&IDM_Method__is__AA;'
    forClassId: '&IDC_Method;'
    verb: 'is'
    name: 'AA'
    accessModifierId: '&IDI_AccessModifier_RootA2;'
    returnsAttributeId: '&IDA_MethodIsOfTypeSpecified;'
    source: '&IDMB_Method__get__Parent_Class;'
    operator: '&IDI_RelationalOperator_ExactMatch;'
    target: '&IDC_AssignAttributeMethod;'
    
  - returnAttributeMethodBinding: '&IDMB_Method__is__AA;'
    executesMethod: '&IDM_Method__is__AA;'
